﻿using UnivateProperties_API.Model.Banks;

namespace UnivateProperties_API.Containers.Timeshare.Detailed
{
    public class DetailedBankDetails
    {
        public DetailedBankDetails()
        {

        }

        public DetailedBankDetails(int id, int bankId, string accountNumber, string accountHolder)
        {
            Id = id;
            BankId = bankId;
            AccountHolder = accountHolder;
            AccountNumber = accountNumber;
        }

        public DetailedBankDetails(BankAccount bankAccount)
        {
            Id = bankAccount.Id;
            BankId = bankAccount.BankId;
            AccountHolder = bankAccount.AccountHolder;
            AccountNumber = bankAccount.AccountNumber;
            Bank = bankAccount.Bank;
        }

        public int Id { get; set; }
        public int? BankId { get; set; }
        public string AccountHolder { get; set; } = "";
        public string AccountNumber { get; set; } = "";
        public Bank Bank { get; set; }
    }
}
