﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    //run before update: UPDATE weeks SET Mandate = 0
    public partial class TimeshareAmmendment : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<bool>(
                name: "Mandate",
                table: "Weeks",
                nullable: false,
                oldClrType: typeof(string),
                oldNullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "DateMandated",
                table: "Weeks",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DateMandated",
                table: "Weeks");

            migrationBuilder.AlterColumn<string>(
                name: "Mandate",
                table: "Weeks",
                nullable: true,
                oldClrType: typeof(bool));
        }
    }
}
