﻿namespace UnivateProperties_API
{
    public enum PropertyUsageType
    {
        Residential,
        Commercial,
        Both
    }

    public enum ValidationResult
    {
        Success,
        Failed
    }

    public enum PersonType
    {
        Individual,
        Agent
    }

    public enum StatusType
    {
        Timeshare,
        Property,
        Bid
    }

    public enum WeekType
    {
        Flexi,
        Fixed,
        Module,
        Syndicate
    }

    public enum MarriedType
    {        
        NotApplicable = 0,       
        ICOP = 1,        
        OCOP = 2,      
        Other = 3,
        Traditional = 4,
        Single = 5,
        Divorced = 6,
        Widow = 7,
        CommittedRelationship = 8,
        Partner = 9
    }
}
